tez-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From hit...@apache.org
Subject [2/4] tez git commit: TEZ-3487. Improvements in travis yml file to get builds to work. (Darion Yaphet via hitesh)
Date Wed, 26 Oct 2016 23:16:24 GMT
TEZ-3487. Improvements in travis yml file to get builds to work. (Darion Yaphet via hitesh)

(cherry picked from commit 83d7898a31ef35010fa75d4b9c6332cfbb65f01f)

Conflicts:
	CHANGES.txt


Project: http://git-wip-us.apache.org/repos/asf/tez/repo
Commit: http://git-wip-us.apache.org/repos/asf/tez/commit/9c2b57cb
Tree: http://git-wip-us.apache.org/repos/asf/tez/tree/9c2b57cb
Diff: http://git-wip-us.apache.org/repos/asf/tez/diff/9c2b57cb

Branch: refs/heads/branch-0.8
Commit: 9c2b57cb8ac167b4d42f9ce8293428fbccca65c9
Parents: cfe2986
Author: Hitesh Shah <hitesh@apache.org>
Authored: Mon Oct 24 13:58:27 2016 -0700
Committer: Hitesh Shah <hitesh@apache.org>
Committed: Wed Oct 26 16:15:07 2016 -0700

----------------------------------------------------------------------
 .travis.yml                     | 31 +++++++++++++++++++++++++++++++
 CHANGES.txt                     |  1 +
 build-tools/install-protobuf.sh | 22 ++++++++++++++++++++++
 pom.xml                         |  1 -
 4 files changed, 54 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/tez/blob/9c2b57cb/.travis.yml
----------------------------------------------------------------------
diff --git a/.travis.yml b/.travis.yml
index dff5f3a..7b54002 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -1 +1,32 @@
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
 language: java
+
+sudo: required
+
+env: MAVEN_OPTS="-Xmx2G -XX:MaxPermSize=512M"
+
+jdk:
+  - oraclejdk8
+  - openjdk8
+
+before_install:
+  - ./build-tools/install-protobuf.sh
+
+install:
+  - mvn clean package -DskipTests=true -Dmaven.javadoc.skip=true
+

http://git-wip-us.apache.org/repos/asf/tez/blob/9c2b57cb/CHANGES.txt
----------------------------------------------------------------------
diff --git a/CHANGES.txt b/CHANGES.txt
index 1a820fb..b721230 100644
--- a/CHANGES.txt
+++ b/CHANGES.txt
@@ -7,6 +7,7 @@ INCOMPATIBLE CHANGES
 
 ALL CHANGES:
 
+  TEZ-3487. Improvements in travis yml file to get builds to work.
   TEZ-3483. Create basic travis yml file for Tez.
   TEZ-3437. Improve synchronization and the progress report behavior for Inputs from TEZ-3317.
   TEZ-3317. Speculative execution starts too early due to 0 progress.

http://git-wip-us.apache.org/repos/asf/tez/blob/9c2b57cb/build-tools/install-protobuf.sh
----------------------------------------------------------------------
diff --git a/build-tools/install-protobuf.sh b/build-tools/install-protobuf.sh
new file mode 100755
index 0000000..902049d
--- /dev/null
+++ b/build-tools/install-protobuf.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -ex
+wget https://github.com/google/protobuf/releases/download/v2.5.0/protobuf-2.5.0.tar.gz
+tar -xzvf protobuf-2.5.0.tar.gz
+cd protobuf-2.5.0 && ./configure --prefix=/usr && make && sudo make
install

http://git-wip-us.apache.org/repos/asf/tez/blob/9c2b57cb/pom.xml
----------------------------------------------------------------------
diff --git a/pom.xml b/pom.xml
index 7660308..585e1c1 100644
--- a/pom.xml
+++ b/pom.xml
@@ -821,7 +821,6 @@
               <!-- To make developer life easy. Source wont have these files -->
               <exclude>**/*.diff</exclude>
               <exclude>*.patch</exclude>
-              <exclude>*.travis.yml</exclude>
               <!-- .png files constitute images required for documentation. .pptx contain
the sources for images -->
               <exclude>**/*.png</exclude>
               <exclude>**/*.pptx</exclude>


Mime
View raw message